# NegotiatorAttributes class

## Constructors

NegotiatorAttributes (void sendNonza(XMLNode nonza), XmppConnection getConnection(), ConnectionSettings getConnectionSettings(), Future <void> sendEvent(XmppEvent event), T? getNegotiatorById(String), T? getManagerById(String), JID getFullJID(), BaseSocketWrapper getSocket(), bool isAuthenticated(), void setAuthenticated(), void setResource(String, {bool triggerEvent}), void removeNegotiatingFeature(String))
  const

## Properties

getConnection → XmppConnection Function()
  Returns the connection object.
  final
getConnectionSettings → ConnectionSettings Function()
  Returns the connection settings.
  final
getFullJID → JID Function()
  Returns the full JID of the current account
  final
getManagerById → T? Function<T extends XmppManagerBase>(String)
  Returns the manager with id id of the connection or null.
  final
getNegotiatorById → T? Function<T extends XmppFeatureNegotiatorBase>(String)
  Returns the negotiator with id id of the connection or null.
  final
getSocket → BaseSocketWrapper Function()
  Returns the socket the negotiator is attached to
  final
hashCode → int
  The hash code for this object.
  no setterinherited
isAuthenticated → bool Function()
  Returns true if the stream is authenticated. Returns false if not.
  final
removeNegotiatingFeature → void Function(String)
  Remove a stream feature from our internal cache. This is useful for when you negotiated a feature for another negotiator, like SASL2.
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited
sendEvent → Future <void> Function(XmppEvent event)
  Send an event event to the connection's event bus.
  final
sendNonza → void Function(XMLNode nonza)
  Sends the nonza nonza and optionally redacts it in logs if redact is not null.
  final
setAuthenticated → void Function()
  Sets the authentication state of the connection to true.
  final
setResource → void Function(String, {bool triggerEvent})
  Sets the resource of the connection. If triggerEvent is true, then a ResourceBoundEvent is triggered.
  final

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited